<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title>ユーザ更新画面</title>
<link rel="stylesheet"
 href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
 <!-- header -->
  <header>
   <nav class="navbar navbar-light sticky-top bg-light flex-md-nowrap p-0">
      <a class="navbar-brand col-sm-3 col-md-2 mr-0">ユーザ管理システム</a>
      <small id="loginName" class="form-text text-muted">[[${loginUser}]]</small>
      <ul class="navbar-nav px-3">
        <li class="nav-item text-nowrap">
           <form class="form-signout" action="/Logout/signout" method ="get">
          <button type="submit" class="btn btn-demger">ログアウト</button>
          </form>
        </li>
      </ul>
    </nav>
  </header>
  <!-- /header -->

 <!-- body -->
  <div class="container">

  <form th:object="${Updateform}"  method="post" action="/UserUpdate/Update" class="form-horizontal">



      <div class="row col-sm-12">


        <label for="loginId" class="col-sm-3 col-form-label">ログインID</label>
        <div class="col-sm-9">
          <p class="form-control-plaintext">[[${UpdateUser.loginId}]]</p>
        </div>
      </div>

      <div class="row col-sm-12">
        <label for="password" class="col-sm-3 col-form-label">パスワード</label>
        <div class="col-sm-9">
          <input type="password" class="form-control" th:field="*{password}" id="password" name="password"placeholder="パスワード">
          <span th:if="${#fields.hasErrors('*{password}')}" th:errors="*{password}"></span>
        </div>
      </div>

      <div class="row col-sm-12">
        <label for="passwordCheck" class="col-sm-3 col-form-label">パスワード(確認)</label>
        <div class="col-sm-9">
          <input type="password" class="form-control" th:field="*{passwordChecker}"
          id="passwordChecker" name="passwordChecker"placeholder="パスワード（確認）">
          <span th:if="${#fields.hasErrors('*{passwordChecker}')}" th:errors="*{passwordChecker}"></span>
           <small id="passwordHelp" class="form-text text-muted">パスワードをコピぺしないでください。</small>
        </div>
      </div>

			<!-- パスワードチェックのエラーメッセージを表示する。 -->
	<p th:if="${#fields.hasErrors('*{passwordValid}')}" th:errors="*{passwordValid}" style="color:red;"></p>

     <div class="row col-sm-12">
        <label for="userName" class="col-sm-3 col-form-label">ユーザ名</label>
        <div class="col-sm-9">
          <input th:field="*{name}"  type="text" class="form-control" id="userName" name="name"/>
          <p th:if="${#fields.hasErrors('*{name}')}" th:errors="*{name}" style="color:red;"></p>
        </div>
      </div>

     <div class="row col-sm-12">
        <label for="birthDate" class="col-sm-3 col-form-label">生年月日</label>
        <div class="col-sm-9">
          <input th:field="*{birthDate}"
          type="date" class="form-control" id="birthDate" name="birthDate" />
         <p th:if="${#fields.hasErrors('birthDate')}" th:errors="*{birthDate}" style="color:red;"></p>
        </div>
      </div>

      <div class="submit-button-area">
        <button type="submit" value="検索" class="btn btn-primary">登録</button>
      </div>
      </form>
     <div class="col-xs-4">
        <form class="form-return" action="/UserList/" method ="get">
        	<button type="submit">戻る</button>
        </form>
      </div>

       </div>
</body>
</html>